/***************************************************************************
 *                                                                         *
 *   convert2text.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

#ifndef CONVERT2TEXT_H
#define CONVERT2TEXT_H

#include <qstring.h>
#include <qcstring.h>
#include <qfile.h>
#include <qlist.h>
#include <qobject.h>

class KProcess;
class Convert2Text: public QObject {
  Q_OBJECT

    QList<QFile> tmpfiles;
 public: 
  Convert2Text();
  ~Convert2Text();

  QString buf2file(QByteArray b);
  QString convert(QString cmd, QString infilename);

  bool mime2text(QString infilename, QString &out);
  public slots:
  void slotReceivedStderr(KProcess* proc,char* buf,int len);
  void slotReceivedStdout(KProcess* proc,char* buf,int len);
 signals:
  void output(QString);
};

#endif
