/***************************************************************************
 *                                                                         *
 *   fillsearchlist.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

#ifndef FillSearchList_H
#define FillSearchList_H

#include <qstring.h>
#include <qstringlist.h>
#include <qthread.h>
class QObject;

class FillSearchList: public QThread {

 protected:
  QObject *parent;
  QStringList terms;
  
  void run();
  void addResult(QString where, QString table, QString cmd, QPtrList<QString> ids, QStringList sl);
 public:
  QString buildResultRec(QString target, QString s, QStringList keywords, QString heading);
  FillSearchList(QObject *parent, QStringList terms);
  ~FillSearchList();
};
#endif
