/***************************************************************************
 *                                                                         *
 *   notelistview.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

#ifndef NoteListView_h
#define NoteListView_h
#include <qlistview.h>
#include <notetreeitem.h>

class NoteListView: public QListView {

 public:
 NoteListView(QWidget *parent = 0, const char *name = 0):
   QListView (parent, name) {};

 protected:
 void startDrag() {
    NoteTreeItem *i=dynamic_cast<NoteTreeItem*>(currentItem());
    if(!i->publnote)
      QListView::startDrag();
 }
};
#endif
