/***************************************************************************
 *                                                                         *
 *   overviewform.ui.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/

void OverviewForm::init() {
    QSettings settings;
    Q_ASSERT(parent());
    QString backgr = settings.readEntry(QString("/literature/backgr_")+parent()->name(), "");
    if(!backgr.isEmpty()) setErasePixmap(QPixmap(backgr));
}


void OverviewForm::incrementalSearch( const QString & s )
{
    linklistbox->setCurrentItem(linklistbox->findItem(s, 0, Qt::BeginsWith));    
    linklistbox->ensureItemVisible(linklistbox->findItem(s, 0, Qt::BeginsWith));    
}
