/***************************************************************************
 *                                                                         *
 *   projectoverview.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

#ifndef Project_Overview_h
#define Project_Overview_h

#include "readonlyformbase.h"
#include "overviewform.h"
class OverviewForm;

class ProjectOverview: public ReadOnlyFormBase {
   Q_OBJECT

private:
    ProjectOverview(const ProjectOverview&);
    ProjectOverview& operator=(const ProjectOverview&);
    OverviewForm *overviewform;
    bool setData();
    
public:
    ProjectOverview(LitUrl u, QObject *receiver, QString slot, QWidget *parent=0, const char *name=0);
    ~ProjectOverview();
};
#endif
