/***************************************************************************
 *                                                                         *
 *   publisheroverview.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

#ifndef PUBLISHER_OVERVIEW_H
#define PUBLISHER_OVERVIEW_H

#include "readonlyformbase.h"
#include "overviewform.h"
class OverviewForm;

class PublisherOverview: public ReadOnlyFormBase {
   Q_OBJECT

private:
    PublisherOverview(const PublisherOverview&);
    PublisherOverview& operator=(const PublisherOverview&);
    OverviewForm *overviewform;
    bool setData();
    
public:
    PublisherOverview(LitUrl u, QObject *receiver, QString slot, QWidget *parent=0, const char *name=0);
    ~PublisherOverview();
};
#endif
