/***************************************************************************
 *                                                                         *
 *   rundialog.ui.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/
void RunDialog::init() {
}

void RunDialog::setData(QUrl u) {
  url=u;
  KMimeMagicResult *mime=KMimeMagic::self()->findFileType(KURL(url).path());
  offers = KTrader::self()->query(mime->mimeType(), "Type == 'Application'");
  
  KTrader::OfferList::Iterator it;
  for(it = offers.begin(); it != offers.end(); ++it )
    servicelist->insertItem((*it)->name());
}


void RunDialog::slotSelected(QListBoxItem *i) {
  KURL::List lst;
  lst.append(url);
  KRun::run(*offers[servicelist->currentItem()], lst);
  close();
}


void RunDialog::slotClose() {
  close();
}
