/***************************************************************************
 *                                                                         *
 *   searchtextbrowser.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

#ifndef SearchTextBrowser_h
#define SearchTextBrowser_h
#include <qtextbrowser.h>
#include <qstring.h>

class SearchTextBrowser : public QTextBrowser {
  private:
  SearchTextBrowser(const SearchTextBrowser&);
	
  public:
  SearchTextBrowser( QWidget *parent = 0, const char *name = 0 ): QTextBrowser(parent, name) {};
  public slots:
  virtual void setSource(const QString &name) {};
};
   

#endif
