/***************************************************************************
 *                                                                         *
 *   state.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

#ifndef STATE_H
#define STATE_H

#include "readonlyformbase.h"
#include "stateform.h"

class State: public ReadOnlyFormBase {
   Q_OBJECT

private:
    State(const State&);
    State& operator=(const State&);
    StateForm *stateform;
    bool setData();
    
public:
    State(LitUrl u, QObject *receiver, QString slot, QWidget *parent=0, const char *name=0);
    ~State();
};
#endif
