/***************************************************************************
 *                                                                         *
 *   threadfinishedevent.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

#ifndef GUIEvent
#define GUIEvent
#include <qevent.h>
#include <qstring.h>

class ThreadFinishedEvent: public QCustomEvent {
private:
	ThreadFinishedEvent(const ThreadFinishedEvent&);
	QString _name;

public:
	ThreadFinishedEvent(QString name):QCustomEvent(User+1), _name(name) {
	}
	ThreadFinishedEvent(ThreadFinishedEvent& e): QCustomEvent(User+1), _name(e.name()) { }
	virtual ~ThreadFinishedEvent() {  }
	
	QString name() { return _name; }
};

#endif

