/***************************************************************************
 *                                                                         *
 *   threadsearchevent.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

#ifndef ThreadSearchEvent_H
#define ThreadSearchEvent_H


class ThreadSearchEvent: public QCustomEvent {
 private:
  ThreadSearchEvent(const ThreadSearchEvent&);
  QString res;
 public:
  ThreadSearchEvent(QString res):QCustomEvent(User+4), res(res) {
  }
  virtual ~ThreadSearchEvent() {  }
  QString result() { return res; }	
};

#endif
