/***************************************************************************
 *                                                                         *
 *   bibtextypes.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

#ifndef BibTexTypes_h
#define BibTexTypes_h

#define BT_BOOK           0     // ->INBOOK
#define BT_BOOKLET        1
#define BT_JOURNAL        2	// ->ARTICLE
#define BT_MANUAL         3
#define BT_MASTERTHESIS   4
#define BT_MISC           5
#define BT_PROCEEDING     6	// ->INPROCEEDING
#define BT_TECHREPORT     7
#define BT_UNPUBLISHED    8
#define BT_PHDTHESIS	  9
#define BT_INBOOK	 10
#define BT_INCOLLECTION	 11
#define BT_INPROCEEDING	 12
#define BT_ARTICLE    	 13

extern const char *bibtexnames[];
extern int bibtextypecount;
#endif
