/***************************************************************************
 *                                                                         *
 *   error.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

#ifndef Error_included
#define Error_included
#include <qstring.h>
#include <qsqlerror.h>

class Error {
    
    QString m;
    
    public:
    Error(QSqlError err):
    m(err.driverText()+":"+err.databaseText()) {
      debug(m);
    }
    Error(QString message): 
    m(message) {
      debug(m);
    }
    QString message() { return m; }
};

#endif
