/***************************************************************************
 *                                                                         *
 *   linklist.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

#include <qptrlist.h>

class LinkListItem {
    
private:
	LinkListItem(const LinkListItem&);
	LinkListItem& operator=(const LinkListItem&);

protected:		
	QString t,w,tab;
	
public:
	LinkListItem(QString title, QString where, QString table);
	~LinkListBox();
	getTitle() { return t; };
	getWhere() { return w; };
	getTable() { return tab; };
};

typedef QPtrList<LinkListItem> LinkList;
