SOURCES	+= main.cpp \
	linklistbox.cpp \
	authoroverview.cpp \
	mainwindowimpl.cpp \
	readwriteformbase.cpp \
	author.cpp \
	editorhelper.cpp \
	global.cpp \
	filllinklistbox.cpp \
	noteoverview.cpp \
	publoverview.cpp \
	publication.cpp \
	part.cpp \
	note.cpp \
	readonlyformbase.cpp \
	linklistboxitem.cpp \
	file.cpp \
	bibliography.cpp \
	partmemo.cpp \
	state.cpp \
	search.cpp \
	fillsearchlist.cpp \
	liturl.cpp \
	publisheroverview.cpp \
	journaloverview.cpp \
	publisher.cpp \
	journal.cpp \
	bibtexfactory.cpp \
	projectoverview.cpp \
	project.cpp \
	bibtextypes.cpp \
	convert2text.cpp \
	authorlinklistbox.cpp
HEADERS	+= linklistbox.h \
	linklistboxitem.h \
	authoroverview.h \
	urlevent.h \
	mainwindowimpl.h \
	readwriteformbase.h \
	author.h \
	error.h \
	editorhelper.h \
	global.h \
	filllinklistbox.h \
	dbdata.h \
	threadfinishedevent.h \
	readonlyformbase.h \
	publoverview.h \
	notetreeitem.h \
	notelistview.h \
	noteoverview.h \
	publication.h \
	part.h \
	note.h \
	threadlinkevent.h \
	dragnoteslistview.h \
	file.h \
	bibliography.h \
	partmemo.h \
	state.h \
	search.h \
	fillsearchlist.h \
	threadsearchevent.h \
	searchtextbrowser.h \
	liturl.h \
	journaloverview.h \
	publisheroverview.h \
	publisher.h \
	journal.h \
	bibtexfactory.h \
	bibtextypes.h \
	projectoverview.h \
	project.h \
	convert2text.h \
	authorlinklistbox.h
unix {
  UI_DIR = .ui
  MOC_DIR = .moc
  OBJECTS_DIR = .obj
  INCLUDEPATH=.
}
FORMS	= mainwindow.ui \
	authorform.ui \
	overviewform.ui \
	publicationform.ui \
	noteform.ui \
	partform.ui \
	partmemoform.ui \
	bibliographyform.ui \
	stateform.ui \
	noteoverviewform.ui \
	selectitem.ui \
	selectnote.ui \
	selectpart.ui \
	fileform.ui \
	createhtml.ui \
	searchform.ui \
	importjstorbib.ui \
	importjstorfile.ui \
	importjstorwizard.ui \
	publisherform.ui \
	journalform.ui \
	projectform.ui \
	generatebibtex.ui \
	rundialog.ui \
	reindex.ui \
	importprogress.ui \
	pocketreader.ui
IMAGES	= images/filenew.png \
	images/fileopen.png \
	images/filesave.png \
	images/print.png \
	images/undo.png \
	images/redo.png \
	images/editcut.png \
	images/editcopy.png \
	images/editpaste.png \
	images/searchfind.png \
	images/delete.png \
	images/floppy.png \
	images/showauthor.png \
	images/editredo.png \
	images/editundo.png \
	images/textbold.png \
	images/textcenter.png \
	images/textitalic.png \
	images/textjustify.png \
	images/textleft.png \
	images/textright.png \
	images/textunder.png \
	images/back.png \
	images/forward.png \
	images/reload.png \
	images/newauthor.png \
	images/delauthor.png \
	images/delimage.png \
	images/dellink.png \
	images/delnote.png \
	images/delpart.png \
	images/delpubl.png \
	images/delpublisher.png \
	images/insauthor.png \
	images/insjournal.png \
	images/insnote.png \
	images/inspart.png \
	images/inspubl.png \
	images/inspublisher.png \
	images/newjournal.png \
	images/newnote.png \
	images/newpart.png \
	images/newpubl.png \
	images/newpublisher.png \
	images/showbiblio.png \
	images/showintro.png \
	images/showjournal.png \
	images/showlinks.png \
	images/showmemo.png \
	images/shownote.png \
	images/showpart.png \
	images/showpubl.png \
	images/showpublisher.png \
	images/showpubllinks.png \
	images/state.png \
	images/books.png \
	images/imagegallery.png \
	images/gnome-ccdesktop.png \
	images/gnome-folder.png \
	images/pen.png \
	images/tex.png \
	images/run.png
TEMPLATE	=app
CONFIG	+= thread warn_on release debug
DEFINES	+= HAS_KDE
INCLUDEPATH	+= /usr/include/kde
LIBS	+= -L/usr/lib -lkdeui -lkdecore -lkio -lkparts -lkspell
DBFILE	= literature.db
LANGUAGE	= C++
