/***************************************************************************
 *                                                                         *
 *   liturl.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

#ifndef LitUrl_h
#define LitUrl_h
#include <qurl.h>

class QString;
class LitUrl: public QUrl {
 public:
  LitUrl();
  LitUrl(const QUrl &url);
  LitUrl(const QString &url);
  QString table();
  QString where();
  QString form();
};
   

#endif
