/***************************************************************************
 *                                                                         *
 *   reindex.ui.h								   *
 *									   *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   Read the file COPYING for details.					   *
 *									   *
 *   copyright: (C) 2003 by Jan Mueller					   *
 *   email: janmueller7@hotmail.com					   *
 *									   *
 ***************************************************************************/

/****************************************************************************
 ** ui.h extension file, included from the uic-generated form implementation.
 **
 ** If you wish to add, delete or rename functions or slots use
 ** Qt Designer which will update this file, preserving your code. Create an
 ** init() function in place of a constructor, and a destroy() function in
 ** place of a destructor.
 *****************************************************************************/

void ReIndex::start() {
  debug("Reindex::start()");
  int i=0;
  QSqlQuery q("select count(*) from partdata");
  int count=q.value(0).toInt();
  progress->setTotalSteps(count);
    
  q.exec("select no, filename from partdata");// where no=15528");
  while(q.next()) {
    i++;
    filename->setText(q.value(1).toString());
    
    QString file="/tmp/test_reindex";
    QFile f(file);
    f.open(IO_WriteOnly | IO_Truncate);
    
    QSqlQuery p("select no from file where partdata_no="+q.value(0).toString()+" order by chunk_no");
    int j=0;
    while(p.next()) {
      qApp->processEvents();
      QSqlQuery r("select chunk from file where no="+p.value(0).toString());
      r.first();
      QByteArray buf;
      KCodecs::base64Decode(r.value(0).asCString(), buf);
      //      buf.resize(buf.count()-2);
      f.writeBlock(qUncompress(buf));
      j++;
      QFile d("/tmp/block"+QString().setNum(j));
      d.open(IO_WriteOnly);
      d.writeBlock(qUncompress(buf));
      d.close();
    }
    f.close();
      
    Convert2Text conv;
    QString text;
    debug("Reindex::start()");
    try {
      if(conv.mime2text("/tmp/test_reindex", text)) {
	QSqlQuery r;
	r.exec("update partdata set astext='' where no="+q.value(0). toString());
	r.prepare("update partdata set astext=? where no="+q.value(0).toString());
	r.bindValue(0, text.simplifyWhiteSpace());
	r.exec();
      }
    } catch(...) {
    }
    progress->setProgress(i);
    qApp->processEvents();    
  }
  progress->setProgress(count);
}
